<!DOCTYPE html>
<html>
  <head>
    <meta name="viewport" content="width=320; user-scalable=no" />
    <meta http-equiv="Content-type" content="text/html; charset=utf-8">
    <title>PhoneGap - GPS</title>
	<style type="text/css">
		* {
			margin: 0px;
			padding: 0px;
		}
	</style>
	<script type="text/javascript" src="js.lib/phonegap-1.2.0.js"></script>
	<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false&language=ja"></script>
	<script type="text/javascript">
<!--

window.onload = function() {
	document.getElementById('routeNavi').addEventListener('click', rootNavi, false);
	document.addEventListener('deviceready', onDeviceReady, false);
};

// ネイティブデバイスとの連携が出来たタイミング
function onDeviceReady() {
	// GPS連携を開始
	navigator.geolocation.getCurrentPosition(onSuccess, onError);
}

// GPS連携成功時
function onSuccess(position) {
    var geocoder = new google.maps.Geocoder();
	// 現在位置から住所情報を逆ジオコーディング
	geocoder.geocode(
		{'latLng': new google.maps.LatLng(position.coords.latitude , position.coords.longitude)},
		function(results, status) {
			window._extensions.DisposeProgress();
			if (status == google.maps.GeocoderStatus.OK) {
			  if (results[1]) {
			  	// 住所を代入
				document.getElementById('address').innerHTML = results[1].formatted_address;
			  }
			} else {
			  alert('Geocoder failed due to: ' + status);
			}
		}
	);

}

// 失敗時のコールバックは、PositionErrorオブジェクトを受けとる
function onError(error) {
    alert('コード: ' + error.code + '\n' + 'メッセージ: ' + error.message + '\n');
}

// 「ここに行く」ボタン挙動時
function rootNavi() {
    var geocoder = new google.maps.Geocoder();
	geocoder.geocode({'address':  document.getElementById('target').value},
		function(results, status) {
			if (status == google.maps.GeocoderStatus.OK) {
				// ネイティブの拡張メソッドをコールする。
				window._extensions.navigateRoot(results[0].geometry.location.lat() + ',' + results[0].geometry.location.lng());
			} else {
				alert('Geocode was not successful for the following reason: ' + status);
			}
		}
	);
}

// -->
		</script>
	</head>
	<body>
		<p><span>今の場所：</span><span id="address"></span></p>
		<hr />
		<p><input type="text" id="target" /><button id="routeNavi">ここに行く</button></p>
	</body>
</html>
